Loading...
Searching...
No Matches
Opm::RegionAverageCalculator::AverageRegionalPressure< FluidSystem, Region > Class Template Reference

Computes hydrocarbon weighed average pressures over regions. More...

`#include <RegionAverageCalculator.hpp>`

## Public Types

using | Scalar = typename FluidSystem::Scalar
typedef RegionMapping< Region >::RegionId | RegionId
| Region identifier.

## Public Member Functions

| AverageRegionalPressure (const Region &region)
| Constructor.
template<typename ElementContext, class Simulator>
void | defineState (const Simulator &simulator)
| Compute pore volume averaged hydrocarbon state pressure.
Scalar | pressure (const RegionId r) const
| Average pressure.

## Detailed Description

template<class FluidSystem, class Region>
class Opm::RegionAverageCalculator::AverageRegionalPressure< FluidSystem, Region >

Computes hydrocarbon weighed average pressures over regions.

Template Parameters

  FluidSystem | Fluid system class. Expected to be a BlackOilFluidSystem
  Region | Type of a forward region mapping. Expected to provide indexed access through operator[]() as well as inner types `value_type`, `size_type`, and `const_iterator`. Typically std::vector<int> .

## Member Typedef Documentation

## RegionId

template<class FluidSystem, class Region>

typedef RegionMapping<Region>::RegionId Opm::RegionAverageCalculator::AverageRegionalPressure< FluidSystem, Region >::RegionId

Region identifier.

Integral type.

## Constructor & Destructor Documentation

## AverageRegionalPressure()

template<class FluidSystem, class Region>

Opm::RegionAverageCalculator::AverageRegionalPressure< FluidSystem, Region >::AverageRegionalPressure | ( | const Region & | region | ) |

inline explicit

Constructor.

Parameters

  [in] | region | Forward region mapping. Often corresponds to the "FIPNUM" mapping of an ECLIPSE input deck.

The documentation for this class was generated from the following file:

- opm/simulators/wells/RegionAverageCalculator.hpp